[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoSetPaperRect

Performs actions needed to set the dimensions for the paper.

## Declaration

Source position: printers.pas line 291

`protected function TPrinter.DoSetPaperRect(`
`aPaperRc: TPaperRect`
`):Boolean; virtual;`

## Arguments

`aPaperRc` |  | Rectangle with the physical dimensions for the paper.

## Function result

True if the dimension for the paper were successfully applied.

## Description

Remark: | In TPrinter, DoSetPaperRect always returns False. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.